/* Copyright (C) 2025-2025 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#ifndef CBMROOT_V0_ANALYSIS_PWGC2F_FEMTOSCOPY_HAL_FORMAT_V0_HALCBMV0TRACK_H_
#define CBMROOT_V0_ANALYSIS_PWGC2F_FEMTOSCOPY_HAL_FORMAT_V0_HALCBMV0TRACK_H_

#include <Hal/V0Track.h>

class HalCbmV0Track : public Hal::V0Track {
  Int_t fMcId         = {-1};
  Float_t fDecDl      = {0};
  Float_t fChi2geo    = {0};
  Float_t fChi2First  = {0};
  Float_t fChi2Second = {0};

 public:
  HalCbmV0Track(){};
  virtual ~HalCbmV0Track() {}
  virtual void CopyData(V0Track* v);
  void SetChi2geo(Float_t Chi2geo) { fChi2geo = Chi2geo; }
  void SetDecDl(Float_t DecDl) { fDecDl = DecDl; }
  void SetMcId(Int_t McId) { fMcId = McId; }
  void SetChi2Dau(Double_t pos, Double_t neg)
  {
    fChi2First  = pos;
    fChi2Second = neg;
  }
  Float_t GetChi2geo() const { return fChi2geo; }
  Float_t GetDecDl() const { return fDecDl; }
  Float_t GetChi2Pos() const { return fChi2First; }
  Float_t GetChi2Neg() const { return fChi2Second; }
  Int_t GetMcId() const { return fMcId; };
  ClassDef(HalCbmV0Track, 1)
};

#endif /* CBMROOT_V0_ANALYSIS_PWGC2F_FEMTOSCOPY_HAL_FORMAT_V0_HALCBMV0TRACK_H_ */
