/* Copyright (C) 2025-2025 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#include "Field.h"

#include <FairField.h>

namespace Hal
{
  namespace Fair
  {

    Field::Field() : fField(nullptr) {}

    TVector3 Field::GetField(Double_t x, Double_t y, Double_t z) const
    {
      return TVector3(fField->GetBx(x, y, z), fField->GetBy(x, y, z), fField->GetBz(x, y, z));
    }
    Field::~Field() { fField = nullptr; }
  }  // namespace Fair
} /* namespace Hal */
