/* Copyright (C) 2025-2025 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#ifndef HAL_FAIR_FIELD_H_
#define HAL_FAIR_FIELD_H_

#include <TVector3.h>

#include <Hal/MagField.h>

/**
 * interface to Fair magnetic field
 */
class FairField;
namespace Hal
{
  namespace Fair
  {
    class Field : public ::Hal::MagField {
      FairField* fField;

     public:
      Field();
      void SetField(FairField* field) { fField = field; };
      FairField* GetFairField() const { return fField; }
      TVector3 GetField(Double_t x, Double_t y, Double_t z) const;
      virtual ~Field();
      ClassDef(Field, 1)
    };
  }  // namespace Fair
} /* namespace Hal */

#endif /* HAL_FAIR_FIELD_H_ */
